Subject: Re: bug#60966: 30.0.50; Emacs -nw on msys2 is not clearing the terminal
From: Eli Zaretskii <[email-masked]>
To: Ergus <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Jan 2023 20:04:52 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Tue, 31 Jan 2023 17:55:22 +0100
> From: Ergus <[email-masked]>
> Cc: [email-masked]
> 
> I think you can close this issue or just add a comment about it
> somewhere in the documentation...
> 
> So, it is done from my side. (If I get some time I will try to fix the
> build system script, but not now)

OK, closing.

> I have another issue because rgrep + MS-Windows does not work for me, I
> try to use it like usual, but I get this:
> 
> ----------------------------------------
> 
> -*- mode: grep; default-directory: "e:/Repository/" -*-
> Grep started at Tue Jan 31 17:25:49
> 
> find -H . -type d "(" -path "*/SCCS" -o -path "*/RCS" -o -path "*/CVS"
> -o -path "*/MCVS" -o -path "*/.src" -o -path "*/.svn" -o -path "*/.git"
> -o -path "*/.hg" -o -path "*/.bzr" -o -path "*/_MTN" -o -path "*/_darcs"
> -o -path "*/{arch}" ")" -prune -o ^"^!^" -type d "(" -name ".#*" -o
> -name "*.o" -o -name "*~" -o -name "*.bin" -o -name "*.bak" -o -name
> "*.obj" -o -name "*.map" -o -name "*.ico" -o -name "*.pif" -o -name
> "*.lnk" -o -name "*.a" -o -name "*.ln" -o -name "*.blg" -o -name "*.bbl"
> -o -name "*.dll" -o -name "*.drv" -o -name "*.vxd" -o -name "*.386" -o
> -name "*.elc" -o -name "*.lof" -o -name "*.glo" -o -name "*.idx" -o
> -name "*.lot" -o -name "*.fmt" -o -name "*.tfm" -o -name "*.class" -o
> -name "*.fas" -o -name "*.lib" -o -name "*.mem" -o -name "*.x86f" -o
> -name "*.sparcf" -o -name "*.dfsl" -o -name "*.pfsl" -o -name "*.d64fsl"
> -o -name "*.p64fsl" -o -name "*.lx64fsl" -o -name "*.lx32fsl" -o -name
> "*.dx64fsl" -o -name "*.dx32fsl" -o -name "*.fx64fsl" -o -name
> "*.fx32fsl" -o -name "*.sx64fsl" -o -name "*.sx32fsl" -o -name
> "*.wx64fsl" -o -name "*.wx32fsl" -o -name "*.fasl" -o -name "*.ufsl" -o
> -name "*.fsl" -o -name "*.dxl" -o -name "*.lo" -o -name "*.la" -o -name
> "*.gmo" -o -name "*.mo" -o -name "*.toc" -o -name "*.aux" -o -name
> "*.cp" -o -name "*.fn" -o -name "*.ky" -o -name "*.pg" -o -name "*.tp"
> -o -name "*.vr" -o -name "*.cps" -o -name "*.fns" -o -name "*.kys" -o
> -name "*.pgs" -o -name "*.tps" -o -name "*.vrs" -o -name "*.pyc" -o
> -name "*.pyo" ")" -prune -o -type f "(" -iname "*" ")" -exec grep
> --color=always -i -nH --null -e "protoc" "{}" ";"
> 
> FIND: Parameter format not correct

This is find.exe which comes with Windows, and is an entirely
different program.  You need to tweak your PATH so that the ported GNU
find.exe from MinGW64 is found before the Windows one.

> 3) Is it there a clean way I could migrate one emacs installation
> (packages in the elpa directory) between machines? Because the machine I
> am using now does not have access to internet from the terminal (the
> system has some ldap proxy); so, emacs cannot access elpa/melpa or
> github to download any package.

Just prepare an archive and then unpack it on the other machine.  It
should work.